Product Documentation

Endpoint Analysis Requirements

Jun 30, 2015

When NetScaler Gateway installs the Endpoint Analysis Plug-in on the user device, the plug-in scans the user device for the endpoint security requirements that you configured on NetScaler Gateway. The requirements include information, such as such as operating system, antivirus, or web browser versions.

The Endpoint Analysis Plug-in downloads and installs on the user device when users log on to NetScaler Gateway for the first time.

When Windows users connect, NetScaler Gateway installs the Endpoint Analysis Plug-in without requiring user intervention. To download and install the plug-in, Windows users must be members of the Administrators or Power Users group on the user device. When users log on subsequently, NetScaler Gateway checks the version of the plug-in. If the versions do not match, NetScaler Gateway updates the plug-in, which then scans the user device. The Endpoint Analysis Plug-in for Windows that is installed as a Windows 32-bit application.

For Mac OS X, user intervention is required to install the Endpoint Analysis Plug-in.The plug-in for Mac OS X is installed as a 32-bit application and no special privileges are necessary to install it. On subsequent log on attempts, if the plug-in versions do not match, the user will be prompted to download and install the plug-in.

To use the Endpoint Analysis Plug-in, the following software is required on the user device:

  • Windows XP, Windows Vista, Windows 7, or Windows 8 with all service packs and critical updates installed.
  • Mac OS X versions 10.8, 10.9, and 10.10.
  • Internet Explorer with cookies enabled. The minimum required version is 7.0.
  • Firefox with the Endpoint Analysis Plug-in enabled. The minimum required version is 3.0.
Important: If a user does not install the Endpoint Analysis Plug-in on the user device or chooses to skip the scan, the user cannot log on with the NetScaler Gateway Plug-in. The user can access resources for which a scan is not required by using either clientless access or by using Citrix Receiver.

Advanced Endpoint Analysis

NetScaler Gateway 10.1, Build 120.1316.e and later builds support Advanced Endpoint Analysis on Windows- and Mac-based computers with the Endpoint Analysis plug-in. For more information about Advanced Endpoint Analysis scans, see Creating Advanced Endpoint Analysis Scans.